Subject: bug#19362: 25.0.50; Fix `pp.el' in line with new `elisp-mode.el'

From: Drew Adams <[email-masked]>
Date: Thu, 7 Jul 2016 02:34:48 +0000 (UTC)

> Well, we could have all saved some time if you had taken your own advice
> to diff the code; not pp.el vs elisp-mode.el, but emacs-24.5's
> lisp-mode.el vs the new elisp-mode.el.  You can see in the attached diff
> (exerpted to leave only the relevant functions) that the only changes
> are renaming of functions, and some minor refactoring in
> elisp--preceding-sexp (it now handles ‘foo’ as well as `foo').

I never suggested diffing pp.el against either lisp-mode.el or
elisp-mode.el.  And actually I did compare lisp-mode.el with
elisp-mode.el and different versions of lisp-mode.el.  I said
this, which I maintain:

> Yes, well, it's quite difficult.  Some of the code from lisp-mode.el
> was moved to elisp-mode.el.  And then it was modified, in some cases
> radically.  Dunno why, except that some of the changes seem to have
> involved integrating eldoc.  But most of the changes presumably do not
> concern this bug, which is only about the part of lisp-mode.el that
> had functions that correspond to pp.el functions.)

It should be clear that wrt what I was following (and comparing)
of the evolution, what I saw was not just renaming of functions
and minor refactoring.  But of course I was also trying to see
how the changes compared to the pp.el code - what corresponding
changes might be in order for pp.el.  That was, uh, the point of
the report.  Whatever.  Thanks for taking a look anyway.  Sorry
that you apparently wasted your time.